int main (){
    char shellcode[] = "\xeb\x3f\x41\x5b\x4d\x89\xdc\x45\x30\xed\x4d\x31\xf6\x49\xff\xc6\x45\x8a\x2c\x24\x49\xff\xc4\x41\x80\xed\x0a\x75\xf0\x4c\x89\xf2\x4c\x89\xde\x48\x31\xff\x48\xff\xc7\x48\x31\xc0\x48\xff\xc0\x0f\x05\x48\x31\xc0\x66\xb8\x3d\xff\x66\x2d\x01\xff\x48\x31\xff\x0f\x05\xe8\xbc\xff\xff\xff\x48\x65\x6c\x6c\x6f\x2c\x20\x77\x6f\x72\x6c\x64\x21\x0a" ;
    
    void (*func_) (void);
    func_ = (void*) shellcode;
    func_();
    return 7;  // This line should not occur
}
